%global srcname doxyqml
%{?python_enable_dependency_generator}

Name:           python-%{srcname}
Version:        0.5.3
Release:        %mkrel 1
Summary:        Doxygen to document your QML classes
Group:          Development/Python
License:        BSD
Url:            https://invent.kde.org/sdk/doxyqml
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
Doxyqml lets you use Doxygen to document your QML classes,
It integrates as a Doxygen input filter to turn .qml files into pseudo-C++
which Doxygen can then use to generate documentation.

%package -n     python3-%{srcname}
Summary:        Doxygen to document your QML classes
Group:          Development/Python

%description -n python3-%{srcname}
Doxyqml lets you use Doxygen to document your QML classes,
It integrates as a Doxygen input filter to turn .qml files into pseudo-C++
which Doxygen can then use to generate documentation.

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/%{srcname}


%changelog
* Mon May 12 2025 daviddavid <daviddavid> 0.5.3-1.mga10
+ Revision: 2182739
- initial package python-doxyqml

